/api/external‑transaction/rebill
post
NOTICE: NATS Pro is required to use this API.
Record a Rebill Transaction
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
billeridintegerRequired
amountstringRequired
currencystringRequired
memberidxstringRequired
transactionidxstringRequired
ptypestringOptional
transaction_passthrough1stringOptional
transaction_passthrough2stringOptional
transaction_passthrough3stringOptional
transaction_passthrough4stringOptional
transaction_passthrough5stringOptional
custom1stringOptional
custom2stringOptional
custom3stringOptional
custom4stringOptional
custom5stringOptional
custom6stringOptional
custom7stringOptional
custom8stringOptional
custom9stringOptional
custom10stringOptional
subscription_passthrough1stringOptional
subscription_passthrough2stringOptional
subscription_passthrough3stringOptional
subscription_passthrough4stringOptional
subscription_passthrough5stringOptional
timeintegerOptional
expire_timeintegerOptional
Responses
200
success
successbooleanOptionalExample:
truepost/api/external-transaction/rebill
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'POST',
'path' => 'external-transaction/rebill',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}Last updated
Was this helpful?